Index: /extensions/EasyCaptcha/language/uk_UA/description.txt
===================================================================
--- /extensions/EasyCaptcha/language/uk_UA/description.txt	(revision 25293)
+++ /extensions/EasyCaptcha/language/uk_UA/description.txt	(revision 25293)
@@ -0,0 +1,1 @@
+Система забавного антибота для коментарів, реєстрації, ContactForm та GuestBook.
Index: /extensions/EasyCaptcha/language/uk_UA/icons.lang.php
===================================================================
--- /extensions/EasyCaptcha/language/uk_UA/icons.lang.php	(revision 25293)
+++ /extensions/EasyCaptcha/language/uk_UA/icons.lang.php	(revision 25293)
@@ -0,0 +1,48 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['battery'] = 'батарейка';
+$lang['bicycle'] = 'велосипед';
+$lang['binoculars'] = 'бінокль';
+$lang['book'] = 'книга';
+$lang['calculator'] = 'калькулятор';
+$lang['calendar'] = 'календар';
+$lang['shopping cart'] = 'кошик';
+$lang['suitcase'] = 'валіза';
+$lang['trash'] = 'сміття';
+$lang['DVD'] = 'DVD';
+$lang['ball'] = 'м’яч';
+$lang['camera'] = 'камера';
+$lang['cookie'] = 'печиво';
+$lang['disk'] = 'диск';
+$lang['guitar'] = 'гітара';
+$lang['hat'] = 'капелюх';
+$lang['lock'] = 'блокування';
+$lang['magnifying glass'] = 'збільшувальне скло';
+$lang['mobile phone'] = 'мобільний телефон';
+$lang['pencil'] = 'олівець';
+$lang['printer'] = 'принтер';
+$lang['scissors'] = 'ножиці';
+$lang['shoe'] = 'взуття';
+$lang['car'] = 'автомобіль';
+$lang['house'] = 'будинок';
+?>
Index: /extensions/EasyCaptcha/language/uk_UA/pets.lang.php
===================================================================
--- /extensions/EasyCaptcha/language/uk_UA/pets.lang.php	(revision 25293)
+++ /extensions/EasyCaptcha/language/uk_UA/pets.lang.php	(revision 25293)
@@ -0,0 +1,41 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['bat'] = 'летюча миша';
+$lang['butterfly'] = 'метелик';
+$lang['cat'] = 'кіт';
+$lang['dog'] = 'собака';
+$lang['duck'] = 'качка';
+$lang['eagle'] = 'орел';
+$lang['elephant'] = 'слон';
+$lang['fish'] = 'риба';
+$lang['fox'] = 'лисиця';
+$lang['frog'] = 'жаба';
+$lang['horse'] = 'кінь';
+$lang['ladybug'] = 'божа корівка';
+$lang['lion'] = 'лев';
+$lang['mouse'] = 'миша';
+$lang['panda'] = 'панда';
+$lang['penguin'] = 'пінгвін';
+$lang['snake'] = 'змія';
+$lang['toucan'] = 'тукан';
+?>
Index: /extensions/EasyCaptcha/language/uk_UA/plugin.lang.php
===================================================================
--- /extensions/EasyCaptcha/language/uk_UA/plugin.lang.php	(revision 25292)
+++ /extensions/EasyCaptcha/language/uk_UA/plugin.lang.php	(revision 25293)
@@ -9,3 +9,29 @@
 $lang['Picture comments'] = 'Коментарі до зображення';
 $lang['Register form'] = 'Зареєстровано з';
+$lang['We detected that Crypto Captcha plugin is available on your gallery. Both plugins can be used at the same time, but you should not under any circumstances activate both of them on the same page.'] = 'Ми виявили, що плаґін Crypto Captcha доступний у вашій галереї. Обидва плаґіна можуть бути використані одночасно, але ви не повинні ні за яких обставин активувати обидва з них на одній і тій же сторінці.';
+$lang['To verify you are a human, please place the <b>%s</b> in the most right box bellow.'] = 'Щоб переконатись, що ви людина, будь-ласка, розміщуйте <b>%s</b> в самому правому полі.';
+$lang['This challenge requires that JavaScript is enabled on the visitor browser. About 1% of Internet users have Javascript disabled.'] = 'Цей виклик вимагає, що JavaScript включено в браузер відвідувача. Близько 1% користувачів Інтернету є JavaScript відключені.';
+$lang['Tic-tac-toe minigame'] = 'Міні-гра в хрестики-нулики';
+$lang['Tic-tac-toe options'] = 'Налаштування хрестики-нулики';
+$lang['You are player X, click on the right case to complete the line.'] = 'Ти гравець X, натисніть справа для завершення лінії.';
+$lang['You must activate JavaScript in your browser in order to be able to add a comment, sorry for the inconvenience.'] = 'Ви повинні активувати JavaScript у вашому браузері для того, щоб мати можливість додавати коментарі, вибачте за незручності.';
+$lang['Image drag & drop'] = 'Зображення drag & drop';
+$lang['Image size'] = 'Розмір зображення';
+$lang['Invalid answer'] = 'Неправильна відповідь';
+$lang['Invalid color code <i>%s</i>'] = 'Неправильний код кольору <i>%s</i>';
+$lang['Number of images'] = 'Кількість зображень';
+$lang['Pleaser answer'] = 'Відповідь';
+$lang['Random'] = 'Випадковий';
+$lang['Text'] = 'Текст';
+$lang['Theme'] = 'Тема';
+$lang['Background'] = 'Фон';
+$lang['Border'] = 'Межа';
+$lang['Challenge'] = 'Виклик';
+$lang['Colors'] = 'Кольори';
+$lang['Drag & drop options'] = 'Параметри Drag & drop';
+$lang['Drop'] = 'Drop';
+$lang['Drop border'] = 'Межа Drop';
+$lang['Image'] = 'Зображення';
+$lang['Image border'] = 'Межа зображення';
+$lang['Marks'] = 'Маркування';
 ?>