Index: /extensions/piwigo-openstreetmap/language/sk_SK/description.txt
===================================================================
--- /extensions/piwigo-openstreetmap/language/sk_SK/description.txt	(revision 25294)
+++ /extensions/piwigo-openstreetmap/language/sk_SK/description.txt	(revision 25294)
@@ -0,0 +1,1 @@
+Integrácia OpenStreeMap v Piwigo
Index: /extensions/piwigo-openstreetmap/language/sk_SK/plugin.lang.php
===================================================================
--- /extensions/piwigo-openstreetmap/language/sk_SK/plugin.lang.php	(revision 25294)
+++ /extensions/piwigo-openstreetmap/language/sk_SK/plugin.lang.php	(revision 25294)
@@ -0,0 +1,103 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['RIGHTLINK_DESC'] = 'Vložte názov, ktorý sa zobrazí v hornej časti mapy';
+$lang['SHOWOSM_DESC'] = 'Pridať za mapou link, ktorý ju zobrazí na OpenStreetMap.';
+$lang['SHOWWORLDMAPLEFT'] = 'Pridať menu mapa sveta na ľavú stranu';
+$lang['SHOWWORLDMAPLEFT_DESC'] = 'Zobrazenie mapy sveta v ľavom menu zobrazí všetky obrázky v galérii';
+$lang['PIN'] = 'Zvoľte špendlík';
+$lang['PINOFFSET_DESC'] = 'Pozícia obrázku špendlíka, keď sa umiestni na mapu. 0x0 je ľavý horný roh. Napr. crosshairs = stred obrázka';
+$lang['PINPATH'] = 'Vlastný špendlík (custom štýl)';
+$lang['PINPATH_DESC'] = 'Cesta k vášmu špendlíku (len ak je zvolený \'vlastný\')';
+$lang['PINPOPUPOFFSET'] = 'Vyskakovacie okno je vypnuté';
+$lang['PINSHADOWPATH_DESC'] = 'Cesta k obrázku tieňa vášho špendlíka';
+$lang['PINSIZE'] = 'Veľkosť špendlíka';
+$lang['PINPOPUPOFFSET_DESC'] = 'Pozícia obrázku špendlíka, keď vyskakovacie okno zasiahne špendlík. 0x0 je hrot špendlíka.';
+$lang['LEFTPOPUP'] = 'Zobraziť vyskakovacie okno';
+$lang['LEFTPOPUPINFO'] = 'Vyberte obsah vyskakovacieho okna';
+$lang['LEFTPOPUPINFO_DESC'] = 'Zvoľte, čo sa zobrazí vo vyskakovacom okne';
+$lang['LEFTPOPUP_DESC'] = 'Zobraziť vyskakovacie okno, keď sa klikne na špendlík';
+$lang['NEVER'] = 'bez vyskakovacieho okna';
+$lang['NOPIN'] = 'bez špendlíkov';
+$lang['IMAGERYBY'] = 'Zobrazovanie';
+$lang['BATCHMANAGER_DESC'] = 'Povoliť meniť manuálne zemepisnú šírku a dĺžku.';
+$lang['AUTOSYNC_DESC'] = 'Keď sa synchronizujú metadata, mohli by sa prepísať súradnice. Odznačte, ak máte nainštalované \'RV Maps & Earth\' ';
+$lang['ADD_BEFORE'] = 'Lokalitu pridať pred';
+$lang['ATTRLEAFLET'] = 'Zobraziť \'Beží na Leaflet\'';
+$lang['PINOFFSET'] = 'Hrot špendlíka vypnutý';
+$lang['OVERWRITE_DESC'] = 'Prepísať existujú údaje o šírke a dĺžke novými. Odznačené by malo pridať len nové záznamy (neaktualizuje existujúce)';
+$lang['OVERWRITE'] = 'Prepísať existujúce geo dáta';
+$lang['NOWORLDWARP_DESC'] = 'Obvykle pokračuje zobrazenie sveta naľavo a napravo. Táto voľba obmedzí zobrazenie na \'jeden svet\'.';
+$lang['LEFTLINK_DESC'] = 'Zadajte názov odkazu pre zobrazenie v ľavom menu';
+$lang['CUSTOMBASELAYER_DESC'] = 'Len ak je zvolený \'vlastný\' štýl mapy. ';
+$lang['ATTRLEAFLET_DESC'] = 'Zobrazuje atribúty použitej Javascript knižnice u interaktívnych  \'Leaflet\' máp';
+$lang['LEFTLINK'] = 'Názov menu mapy sveta';
+$lang['PINSHADOWSIZE_DESC'] = 'Rozmer obrázka v px. Oddeľovačom je \'x\'. Napríklad: \'24x24\' ';
+$lang['PIN_DESC'] = 'Zvoľte poslednú možnosť, ak chcete použiť svoj vlastný';
+$lang['NOWORLDWARP'] = 'Bez mapy sveta';
+$lang['CUSTOMBASELAYERURL'] = 'URL servera';
+$lang['ZOOM_DESC'] = '1: veľmi ďaleko, 18: veľmi blízko';
+$lang['ZOOM'] = 'Úroveň priblíženia';
+$lang['SYNC_WARNINGS'] = 'Varovania';
+$lang['SYNC_INFOS'] = 'Detailné informácie';
+$lang['SYNC_ERRORS'] = 'Chyby';
+$lang['SHOWOSM'] = 'Zobraziť \'View on OpenStreetMap\'';
+$lang['SHOWLOCATION_DESC'] = 'Zobraziť mapu na pravom panele na stránke obrázka';
+$lang['SHOWLOCATION'] = 'Zobraziť mapu lokalít';
+$lang['R_MAP'] = 'Konfigurácia pravého panelu';
+$lang['RIGHTLINKCSS_DESC'] = 'Aplikovať vlastné ccs na hlavičku lokalít';
+$lang['RIGHTLINKCSS'] = 'Vlastné css';
+$lang['RIGHTLINK'] = 'Názov hlavičky lokalít';
+$lang['POWERBY'] = 'Beží na';
+$lang['POPUPTHUMB'] = 'Náhľad obrázku';
+$lang['POPUPNAME'] = 'Názov obrázku';
+$lang['POPUPLINK'] = 'Pridať k obrázku link';
+$lang['POPUPCOMMENT'] = 'Komentár k obrázku';
+$lang['POPUPAUTHOR'] = 'Autor obrázku';
+$lang['PLUGINCONF'] = 'Možnosti pluginu';
+$lang['PLUGINBY'] = 'Plugin od';
+$lang['PINSIZE_DESC'] = 'Rozmery obrázka v px. Oddeľovačom je \'x\'. Napríklad:\'24x24\' ';
+$lang['PINSHADOWSIZE'] = 'Veľkosť tieňa';
+$lang['PINSHADOWPATH'] = 'Tieň';
+$lang['L_MAP'] = 'Konfigurácia ľavého menu';
+$lang['HEIGHT'] = 'Výška mapy';
+$lang['G_MAP'] = 'Konfigurácia mapy';
+$lang['DEFAULTPIN'] = 'defaultne';
+$lang['DISPLAY'] = 'Konfigurácia zobrazenia';
+$lang['HEIGHT_DESC'] = 'v px';
+$lang['H_PIN'] = 'Konfigurácia pinov';
+$lang['CUSTOMBASELAYERURL_DESC'] = 'Len ak je zvolený \'vlastný\' štýl mapy. Príklad: http://tile.openstreetmap.org/{z}/{x}/{y}.png';
+$lang['CUSTOMBASELAYER'] = 'Vlastný štýl mapy';
+$lang['ADD_BEFORE_DESC'] = 'Kde zobraziť informácie o lokalite';
+$lang['OWNPIN'] = 'vlastný (custom štýl)';
+$lang['OVERWRITE_LGD'] = 'Prepísať';
+$lang['CLICK'] = 'Zobraziť na kliknutie';
+$lang['BASELAYER_DESC'] = 'Mapnik je defaultný štýl OpenStreetMap.';
+$lang['BATCHMANAGER'] = 'Povoliť integráciu s Batch Manager';
+$lang['BASELAYER'] = 'Štýl mapy';
+$lang['ATTRPLUGIN_DESC'] = 'Tento plugin som vytvoril ja :)';
+$lang['AUTOSYNC'] = 'Automaticky synchr.EXIF, ak existuje';
+$lang['ATTRPLUGIN'] = 'Zobraziť poznámku autora';
+$lang['ATTRIMAGERY_DESC'] = 'Zobraziť použitý štýl mapy';
+$lang['ATTRIMAGERY'] = 'Zobraziť štýl mapy';
+$lang['ALWAYS'] = 'zobraziť ihneď';
+?>