Index: extensions/piwigo_videojs/language/sk_SK/plugin.lang.php
===================================================================
--- extensions/piwigo_videojs/language/sk_SK/plugin.lang.php	(revision 24999)
+++ extensions/piwigo_videojs/language/sk_SK/plugin.lang.php	(revision 25314)
@@ -21,21 +21,23 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-$lang['PRELOAD_DESC'] = 'Atribút informuje prehliadač, či sú alebo nie sú obrazové dáta určené na sťahovanie, akonáhle je video kľúčové slovo načítané.';
-$lang['PRELOAD'] = 'Predhratie';
-$lang['LOOP_DESC'] = 'Označenie slučky spôsobí, že video začne, akonáhle sa skončí.';
-$lang['CONTROLS_DESC'] = 'Nastavenie kontrolných prvkov, či má prehrávač ovládacie prvky, ktoré používateľ môže používať s';
-$lang['WIDTH_DESC'] = 'Maximálna šírka zobrazovaného videa, ak je vyššia, bude delené 2.';
-$lang['SKIN_DESC'] = 'Označte štýl, ktorý chcete použiť pri prehrávači.';
-$lang['CUSTOMCSS_DESC'] = 'Vlastné CSS kopírovanie a vkladanie z VideoJS internetových stránok.';
+$lang['PRELOAD_DESC'] = 'Atribút prednačítania informuje prehliadač, či sa majú alebo nemajú video dáta začať sťahovať akonáhle sa nahrá video tag. ';
+$lang['PRELOAD'] = 'Prednačítanie';
+$lang['LOOP_DESC'] = 'Zaisťuje automatické opakovanie videa v slučke';
+$lang['CONTROLS_DESC'] = 'Voľba kontrol nastavuje, či má alebo nemá prehrávač kontrolné prvky, ktoré môže užívateľ používať';
+$lang['WIDTH_DESC'] = 'Nastavenie max. šírky zobrazovaného videa. Ak je veľkosť videa väčšia, použije sa nastavená max. šírka.
+';
+$lang['SKIN_DESC'] = 'Označte štýl, ktorý chcete použiť pri prehrávači.
+Vyberte štýl, ktorý chcete použiť na prehrávač alebo <a href="http://designer.videojs.com/" target="_blank">vytvorte svoj vlastný skin</a>.';
+$lang['CUSTOMCSS_DESC'] = 'Vlastné CSS sem skopírujte z <a href="http://www.videojs.com/" target="_blank">VideoJS website</a>.';
 $lang['CUSTOMCSS'] = 'Vlastné CSS';
 $lang['AUTOPLAY_DESC'] = 'Ak je nastavené automatické prehrávanie, video sa spustí, akonáhle je stránka načítaná (bez zásahu užívateľa). Nie sú podporované zariadenia Apple iOS.';
 $lang['CONTROLS'] = 'Ovládanie';
-$lang['HTML5'] = 'HTML5 video nastavenie kľúčového slova';
+$lang['HTML5'] = 'HTML5 nastavenie video tagu';
 $lang['WIDTH'] = 'Maximálna šírka';
-$lang['SKIN'] = 'Vzhľad';
-$lang['PLUGIN'] = 'Nastavenie doplnkov';
-$lang['LOOP'] = 'Opakovať';
+$lang['SKIN'] = 'Skin';
+$lang['PLUGIN'] = 'Nastavenie doplnku';
+$lang['LOOP'] = 'Slučka';
 $lang['AUTOPLAY'] = 'Automatické prehrávanie';
-$lang['ZOOMROTATE_DESC'] = 'Otočiť a zväčšiť video ak je to možné, používať otáčanie metadát.';
+$lang['ZOOMROTATE_DESC'] = 'Rotácia a priblíženie videa, ak ho je možné takto ovládať, používa metadáta o možnosti rotácie.';
 $lang['ZOOMROTATE'] = 'Zväčšenie a otočenie';
 $lang['WATERMARK_DESC'] = 'Zobrazenie vodoznaku cez video.';
@@ -46,3 +48,21 @@
 $lang['THUMBNAILS_DESC'] = 'Zobraziť náhľady obrázkov cez progress bar';
 $lang['THUMBNAILS'] = 'Náhľady';
+$lang['VOLUME_DESC'] = 'Voľby hlasitosti nastavujú úroveň hlasitost. 0 je vypnuté(pritlmené), 1.0 je až nahor, 0.5 je polovica ';
+$lang['SYNC_THUMBSIZE_DESC'] = 'Veľkosť v pixeloch. Udržte nízku, štandard je v poriadku, Youtube používa 190x68.';
+$lang['SYNC_THUMBSEC'] = 'Vytvoriť náhľad v každej sekunde';
+$lang['SYNC_POSTER_DESC'] = 'Vytvoriť pútač z videa na konkrétnej pozície';
+$lang['SYNC_POSTEROVERWRITE_DESC'] = 'Prepísať existujúce náhľady novými. Ak sa odznačí, malo by prejsť len novo pridané video.';
+$lang['SYNC_POSTEROVERWRITE'] = 'Prepísať existujúce pútačov';
+$lang['SYNC_POSTEROVERLAY_DESC'] = 'Pridať prekrytie na tvorbu pútačov';
+$lang['SYNC_OUTPUT_DESC'] = 'Vyberte výstupný formát pre pútač a náhľad';
+$lang['SYNC_POSTER'] = 'Vytvoriť pútač na pozícii v sekunde';
+$lang['SYNC_THUMBSEC_DESC'] = 'Vytvoriť náhľad každých x sekúnd';
+$lang['VOLUME'] = 'Hlasitosť';
+$lang['SYNC_WARNINGS'] = 'Varovania';
+$lang['SYNC_THUMBSIZE'] = 'Veľkosť náhľadu';
+$lang['SYNC_POSTEROVERLAY'] = 'Pridať filmový efekt';
+$lang['SYNC_ERRORS'] = 'Chyby';
+$lang['SYNC_METADATA_DESC'] = 'Prepíše informácie v databáze metadátami z videa';
+$lang['SYNC_INFOS'] = 'Detailné informácie';
+$lang['SYNC_OUTPUT'] = 'Výstupný formát';
 ?>