Index: /extensions/charlies_content/language/sk_SK/description.txt
===================================================================
--- /extensions/charlies_content/language/sk_SK/description.txt	(revision 25318)
+++ /extensions/charlies_content/language/sk_SK/description.txt	(revision 25318)
@@ -0,0 +1,1 @@
+Charlie content je komplexné riešenie pre neobrázkové súbory.
Index: /extensions/charlies_content/language/sk_SK/plugin.lang.php
===================================================================
--- /extensions/charlies_content/language/sk_SK/plugin.lang.php	(revision 25318)
+++ /extensions/charlies_content/language/sk_SK/plugin.lang.php	(revision 25318)
@@ -0,0 +1,146 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Leftbar gradient fading'] = 'Blednutie gradientu ľavého pruhu';
+$lang['.png without transparency are recommended. Maybe you can change a set of curtains by yours.'] = 'Sú doporučené .png bez prehliadnosti. Možno môžete zmeniť sadu opôn podľa seba)';
+$lang['Wrong filename. RTMP (Real Time Messaging Protocol) is a TCP based propriety protocol developed by Adobe System for the purpose of streaming Audio/Video data between Flash Player and media server.'] = 'Nesprávny názov súboru. RTMP (Real Time Messaging Protocol)je na TCP založený proprietárny protokol vyvinutý Adobe System za účelom streamovania audio/video dát medzi Flash playerom a media serverom.';
+$lang['You are Adviser and you are not authorized to change this configuration.'] = 'Ste Poradca a nemáte oprávnenie meniť toto nastavenie.';
+$lang['Your configuration is NOT saved due to above reasons.'] = 'Vaše nastavenie NEBOLO uložené kvôli vyššie uvedeným dôvodom.';
+$lang['Your configuration is saved.'] = 'Vaše nastavenie bolo uložené.';
+$lang['_blank'] = '_blank';
+$lang['_self'] = '_self';
+$lang['or fullscreen or playpause or none'] = 'buď celá obrazovka alebo playpause alebo nič';
+$lang['Wrong filename or file not found (Subtitles file)'] = 'Nesprávny názov súboru alebo sa nedá nájsť (súbor s titulkami)';
+$lang['Volume is out of range (Correct range: 0-200)'] = 'Hlasitosť je mimo rozsah (Správne 0:200)';
+$lang['Volume ']['0-200'] = 'Hlasitosť [0-200]';
+$lang['Use existing .xml to config'] = 'Použiť na konfiguráciu existujúce .xml';
+$lang['Use subtitles'] = 'Použiť titulky';
+$lang['Video buffer background'] = 'Pozadie vyrovnávacej pamäte videa';
+$lang['Video buffer percent message'] = 'Správa o percentách vyrovn.pamäte videa';
+$lang['Video buffer size in seconds'] = 'Veľkosť vyrovn.pamäte videa v sekundách';
+$lang['Video default height'] = 'Štandardná výška videa';
+$lang['Video default width'] = 'Štandardná šírka videa';
+$lang['Use existing .txt to config'] = 'Použiť na konfiguráciu existujúci .txt';
+$lang['Unknown file or URL|x|y error (x and y must be numeric)'] = 'Neznámy súbor alebo chybné URL|x|y (x a y musia byť čísla)';
+$lang['Unknown file (skin)'] = 'Neznámy súbor (skin)';
+$lang['Unknown file (Start image)'] = 'Neznámy súbor (počiatočný obrázok)';
+$lang['URL of .srt'] = 'URL adresa .srt';
+$lang['Top border fading'] = 'Blednutie horného okraja';
+$lang['Titleling'] = 'Titulkovanie';
+$lang['Title font size is out of range (Correct range: 12-72)'] = 'Veľkosť fontu nadpisu je mimo rozsah (Správne: 12-72)';
+$lang['Title font size ']['12-72'] = 'Veľkosť fontu nadpisu [12-72]';
+$lang['Title and start picture'] = 'Názov a začiatočný obrázok';
+$lang['Title'] = 'Názov';
+$lang['Time left'] = 'Zostávajúci čas';
+$lang['Templates configuration'] = 'Konfigurácia šablón';
+$lang['Reset ALL Confirmation'] = 'Obnov VŠETKY nastavenia';
+$lang['Rightbar gradient fading'] = 'Slabnutie gradientu pravého pruhu';
+$lang['Save Charlies\' configuration'] = 'Uložiť Charieho nastavenia';
+$lang['Show loading'] = 'Zobraziť nahrávanie';
+$lang['Show mouse'] = 'Zobraziť myš';
+$lang['Show player'] = 'Zobraziť prehrávač';
+$lang['Show stop button'] = 'Zobraziť tlačidlo stop';
+$lang['Show subtitles switch'] = 'Zobraziť prepínanie titulkov';
+$lang['Show time'] = 'Zobraziť čas';
+$lang['Show volume'] = 'Zobraziť hlasitosť';
+$lang['Skin'] = 'Skin';
+$lang['Skin image'] = 'Obrázok skinu';
+$lang['Start image'] = 'Začiatočný obrázok';
+$lang['Stop stops loading'] = 'Stop zastaví nahrávanie';
+$lang['Subtitle font size is out of range (Correct range: 8-24)'] = 'Veľkosť písma titulkov je mimo rozsah (Správne: 8-24)';
+$lang['Subtitleling'] = 'Titulkovanie';
+$lang['Subtitles'] = 'Titulky';
+$lang['Subtitles background'] = 'Pozadie titulkov';
+$lang['Subtitles file URL'] = 'URL súboru s titulkami';
+$lang['Subtitles font size ']['8-24'] = 'Veľkosť písma titulkov [8-24]';
+$lang['Play icon in middle'] = 'Ikona prehrávania v strede';
+$lang['Play icon transparency ']['0-100'] = 'Priehľadnosť ikony prehrávania [0-100]';
+$lang['Play icon transparency is out of range (Correct range: 0-100)'] = 'Priehľadnosť ikony prehrávania je mimo rozsah (Správne: 0-100)';
+$lang['Player'] = 'Prehrávač';
+$lang['Player and Buttons'] = 'Prehrávač a tlačidlá';
+$lang['Player buttons'] = 'Tlačidlá prehrávača';
+$lang['Player transparency ']['0-100'] = 'Priehľadnosť prehrávača [0-100]';
+$lang['Player transparency is out of range (Correct range: 0-100)'] = 'Priehľadnosť prehrávača je mimo rozsah (Správne: 0-100)';
+$lang['Players colors'] = 'Farby prehrávača';
+$lang['Players colours selection'] = 'Výber farieb prehrávača';
+$lang['Players options'] = 'Možnosti prehrávača';
+$lang['RTMP server URL'] = 'RTMP server URL';
+$lang['Reset ALL Charlies\' configuration'] = 'Obnov VŠETKY Charlieho nastavenia';
+$lang['General options'] = 'Všeobecné možnosti';
+$lang['Hover bar gradient'] = 'Gradient pruhu pod myšou';
+$lang['Hover player buttons'] = 'Tlačidlá prehrávača pod myšou';
+$lang['Invalid color code: 3 or 6 hexadecimal characters, preceded by "#"'] = 'Neplatný kód farby: 3 alebo 6 hexadecimálnych znakov začínajúcich "#"';
+$lang['Keyboard shortcuts'] = 'Klávesové skratky';
+$lang['Load an image over video'] = 'Nahrať obrázok cez video';
+$lang['Loading bar'] = 'Lišta nahrávania';
+$lang['Loop'] = 'Slučka';
+$lang['Margin for skin'] = 'Okraj pre skin';
+$lang['Margin is out of range (Correct range: 0-40)'] = 'Okraj je mimo rozsah (Správne: 0-40)';
+$lang['Miscellaneous'] = 'Rôzne';
+$lang['Never'] = 'Nikdy';
+$lang['Note: These options are available with the Maxi FLV Player. More details on all theses options on:'] = 'Pozn. Tieto nastavenia sú dostupné s Maxi FLV Playerom. Viac informácii o všetkých týchto možnostiach:';
+$lang['Off'] = 'Vypnuté';
+$lang['On'] = 'Zapnuté';
+$lang['Onclick URL'] = 'URL pre kliknutie';
+$lang['PHP streaming'] = 'PHP streaming';
+$lang['Play icon'] = 'Ikona prehrávania';
+$lang['Play icon background'] = 'Pozadie ikony prehrávania';
+$lang['Color usage might be just for information (Players could just ignore them or use them differently)'] = 'Použitie farieb môže byť len informačné (Prehrávače ich môžu ignorovať alebo ich použíť odlišne)';
+$lang['Config by element'] = 'Nastavenie podľa prvku';
+$lang['Curtain selection'] = 'Výber opony';
+$lang['Default 1500 milliseconds.'] = 'Štandardne 1500 milisekund';
+$lang['Default 5 seconds'] = 'Štandardne 5 sekúnd';
+$lang['Default height is out of range (Correct range: 90-1024)'] = 'Štandardná výška je mimo rozsah (Správny rozsah: 90-1024)';
+$lang['Default size might be 11.'] = 'Štandardná veľkosť by mohla byť 11.';
+$lang['Default size might be 20.'] = 'Štandardná veľkosť by mohla byť 20.';
+$lang['Default width is out of range (Correct range: 90-1024)'] = 'Štandardná šírka je mimo rozsah (Správny rozsah: 90-1024)';
+$lang['Display first picture'] = 'Zobraziť prvý obrázok';
+$lang['FYI: all these options might be used or NOT by the inbound player (template).'] = 'INFO: všetky tieto možnosti môžu, ale nemusia byť použité aktívnym prehrávačom (šablónou)';
+$lang['Filename.srt might be use for captioning'] = 'Súbor .srt sa môže dať použiť pre titulky';
+$lang['Filename.txt might be use as config.txt file'] = 'Súbor .txt sa môže použiť ako konfiguračný súbor (config.txt)';
+$lang['Filename.xml might be use as config.xml file'] = 'Súbor .xml sa môže dať použiť ako konfiguračný súbor (config.xml)';
+$lang['Flash Player 9.0.16.60 or above is required.'] = 'Je vyžadovaný Flash Player 9.0.16 alebo novší';
+$lang['Forced height is out of range (Correct range: 90-1024)'] = 'Nútená výška je mimo rozsah (Správne: 90-1024)';
+$lang['Forced video height'] = 'Nútená výška videa';
+$lang['Forced video width'] = 'Nútená šírka videa';
+$lang['Forced width is out of range (Correct range: 90-1024)'] = 'Nútená šírka je mimo rozsah (Správne: 90-1024)';
+$lang['Fullscreen'] = 'Celá obrazovka';
+$lang['(Adobe Systems for streaming audio, video and data)'] = '(Adobe systémy pre streamovanie audio, videa a dát)';
+$lang['(URL of a non progressive jpg)'] = '(URL neprogresívneho jpg)';
+$lang['(URL|x|y : where x,y are the offsets to place the picture)'] = '(URL|x|y: kde x,y sú odsadenia, s ktorými sa umiestni obrázok)';
+$lang['Active curtains'] = 'Aktívne opony';
+$lang['Always'] = 'Vždy';
+$lang['Autohide'] = 'Automatické skrytie';
+$lang['Autohide delay ']['0-9999'] = 'Zdržanie automatického skrytia [0-9999]';
+$lang['Autohide delay is out of range (Correct range: 0-9999)'] = 'Zdržanie autom.skrytia je mimo rozsah (Správny rozsah: 0-9999)';
+$lang['Autoload'] = 'Automatické nahratie';
+$lang['Autoplay'] = 'Automatické prehratie';
+$lang['Background'] = 'Pozadie';
+$lang['Bind your prefered extensions to a template file (player) from:'] = 'Pripoj preferovanú príponu k súboru šablóny (prehrávaču) z:';
+$lang['Bottom border fading'] = 'Blednutie spodného okraja';
+$lang['Buffer'] = 'Vyrovnávacia pamäť';
+$lang['Buffer background'] = 'Pozadie vyrovnávacej pamäte';
+$lang['Buffering'] = 'Ukladanie do vyrovnávacej pamäte';
+$lang['Buffering _n_'] = 'Ukladanie do vyrovnávacej pamäte_n_';
+$lang['Charlies player template-mimetype association'] = 'Priradie mimetype šablón k Charlieho prehrávaču ';
+$lang['Charlies players configuration'] = 'Konfigurácia Charlieho prehrávača';
+?>