Index: extensions/EasyCaptcha/language/zh_CN/icons.lang.php
===================================================================
--- extensions/EasyCaptcha/language/zh_CN/icons.lang.php	(revision 25319)
+++ extensions/EasyCaptcha/language/zh_CN/icons.lang.php	(revision 25319)
@@ -0,0 +1,48 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['scissors'] = '剪刀';
+$lang['shoe'] = '鞋';
+$lang['shopping cart'] = '购物车';
+$lang['suitcase'] = '手提箱';
+$lang['trash'] = '垃圾';
+$lang['DVD'] = 'DVD';
+$lang['ball'] = '球';
+$lang['battery'] = '电池';
+$lang['bicycle'] = '自行车';
+$lang['binoculars'] = '双筒望远镜';
+$lang['book'] = '书';
+$lang['calculator'] = '计算器';
+$lang['calendar'] = '日历';
+$lang['camera'] = '相机';
+$lang['car'] = '车';
+$lang['cookie'] = '曲奇饼';
+$lang['disk'] = '磁盘';
+$lang['guitar'] = '吉他';
+$lang['hat'] = '帽子';
+$lang['house'] = '屋子';
+$lang['lock'] = '锁';
+$lang['magnifying glass'] = '放大镜';
+$lang['mobile phone'] = '手机';
+$lang['pencil'] = '铅笔';
+$lang['printer'] = '打印机';
+?>
Index: extensions/EasyCaptcha/language/zh_CN/pets.lang.php
===================================================================
--- extensions/EasyCaptcha/language/zh_CN/pets.lang.php	(revision 25319)
+++ extensions/EasyCaptcha/language/zh_CN/pets.lang.php	(revision 25319)
@@ -0,0 +1,41 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['bat'] = '蝙蝠';
+$lang['butterfly'] = '蝴蝶';
+$lang['cat'] = '猫';
+$lang['dog'] = '狗';
+$lang['duck'] = '鸭子';
+$lang['eagle'] = '鹰';
+$lang['elephant'] = '大象';
+$lang['fish'] = '鱼';
+$lang['fox'] = '狐狸';
+$lang['frog'] = '蛙';
+$lang['horse'] = '马';
+$lang['ladybug'] = '瓢虫';
+$lang['lion'] = '狮子';
+$lang['mouse'] = '老鼠';
+$lang['panda'] = '熊猫';
+$lang['penguin'] = '企鹅';
+$lang['snake'] = '蛇';
+$lang['toucan'] = '巨嘴鸟';
+?>
Index: extensions/EasyCaptcha/language/zh_CN/plugin.lang.php
===================================================================
--- extensions/EasyCaptcha/language/zh_CN/plugin.lang.php	(revision 25293)
+++ extensions/EasyCaptcha/language/zh_CN/plugin.lang.php	(revision 25319)
@@ -8,8 +8,8 @@
 $lang['Album comments'] = '相册评论';
 $lang['Challenge'] = '游戏类型';
-$lang['We detected that Crypto Captcha plugin is available on your gallery. Both plugins can be used at the same time, but you should not under any circumstances activate both of them on the same page.'] = 'Crypto Captcha 已经在线可用， 这两个插件可以同时进行使用，但是不可以在同一页面上同时启用这两个插件。';
-$lang['You are player X, click on the right case to complete the line.'] = '如果您是玩家x，请点击右边的按钮填写这一行';
+$lang['We detected that Crypto Captcha plugin is available on your gallery. Both plugins can be used at the same time, but you should not under any circumstances activate both of them on the same page.'] = '发现 Crypto Captcha 插件已在图库启用，这两个插件可以同时使用，但是绝不可以在相同页面上同时启用这两个插件。';
+$lang['You are player X, click on the right case to complete the line.'] = '您是玩家X，请点击右边的按钮填写这一行。';
 $lang['To verify you are a human, please place the <b>%s</b> in the most right box bellow.'] = '请在最右侧的那一栏中填写<b>%s</b>以确定您是一名人类。';
-$lang['You must activate JavaScript in your browser in order to be able to add a comment, sorry for the inconvenience.'] = '需要在您的浏览器内安装JavaScript才可以进行评论，我们为引起的不便表示歉意。';
+$lang['You must activate JavaScript in your browser in order to be able to add a comment, sorry for the inconvenience.'] = '您的浏览器需要启用JavaScript才可添加评论，我们为引起的不便表示歉意。';
 $lang['Drop'] = '放置';
 $lang['Image drag & drop'] = '移动并放置图片';