Index: extensions/piwigo-openstreetmap/language/cs_CZ/description.txt
===================================================================
--- extensions/piwigo-openstreetmap/language/cs_CZ/description.txt	(revision 25325)
+++ extensions/piwigo-openstreetmap/language/cs_CZ/description.txt	(revision 25325)
@@ -0,0 +1,1 @@
+OpenStreetMap napojení na Piwigo
Index: extensions/piwigo-openstreetmap/language/cs_CZ/index.php
===================================================================
--- extensions/piwigo-openstreetmap/language/cs_CZ/index.php	(revision 25325)
+++ extensions/piwigo-openstreetmap/language/cs_CZ/index.php	(revision 25325)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/piwigo-openstreetmap/language/cs_CZ/plugin.lang.php
===================================================================
--- extensions/piwigo-openstreetmap/language/cs_CZ/plugin.lang.php	(revision 25325)
+++ extensions/piwigo-openstreetmap/language/cs_CZ/plugin.lang.php	(revision 25325)
@@ -0,0 +1,82 @@
+<?php
+
+$lang['R_MAP'] = "Nastavení pravého panelu";
+$lang['DISPLAY'] = "Nastavení zobrazení";
+$lang['SHOWLOCATION'] = "Zobrazení mapy";
+$lang['SHOWLOCATION_DESC'] = "Zobrazí mapu napravo na stránce s obrázkem.";
+$lang['ADD_BEFORE'] = "Vložit umístění";
+$lang['ADD_BEFORE_DESC'] = "Kde se má zobrazit informace o místě.";
+$lang['HEIGHT'] = "Výška mapy";
+$lang['HEIGHT_DESC'] = "v px";
+$lang['ZOOM'] = "Přiblížení";
+$lang['ZOOM_DESC'] = "1: velmi oddáleno, 18: velmi zblízka";
+$lang['RIGHTLINK'] = "Havička názvu místa";
+$lang['RIGHTLINK_DESC'] = "Zadejte název pro zobrazení nahoře na mapě.";
+$lang['RIGHTLINKCSS'] = 'Vlastní CSS';
+$lang['RIGHTLINKCSS_DESC'] = 'Vlastní CSS styl pro aplikaci na hlavičku místa.';
+$lang['SHOWOSM'] = "Zobrazit 'Prohlédnout na OpenStreetMap'";
+$lang['SHOWOSM_DESC'] = "Vloží odkaz pod mapou pro zobrazení na OpenStreetMap.";
+
+$lang['L_MAP'] = "Nastavení levého panelu";
+$lang['SHOWWORLDMAPLEFT'] = "Zobrazit mapu světa nalevo";
+$lang['SHOWWORLDMAPLEFT_DESC'] = 'Zobrazí menu mapy světa v levém sloupci, kde bude zobrazovat všechny fotografie ve vaší fotogalerii.';
+$lang['LEFTLINK'] = "Název menu mapy světa";
+$lang['LEFTLINK_DESC'] = "Zadejte název odkazu pro zobrazení v levém menu.";
+$lang['LEFTPOPUP'] = "Zobrazit vyskakovací okno";
+$lang['LEFTPOPUP_DESC'] = 'Zobraz vyskakovací okno po kliknutí na špendlík.';
+$lang['CLICK'] = "zobrazit po kliknutí";
+$lang['ALWAYS'] = "zobrazit ihned";
+$lang['NEVER'] = "nezobrazit";
+$lang['LEFTPOPUPINFO'] = "Výběr obsahu pro vyskakovací okno";
+$lang['LEFTPOPUPINFO_DESC'] = "Zvolte co se má zobrazovat";
+$lang['POPUPNAME'] = "Název obrázku";
+$lang['POPUPTHUMB'] = "Náhled fotky";
+$lang['POPUPLINK'] = "Zadat odkaz na fotku";
+$lang['POPUPCOMMENT'] = "Komentář k fotce";
+$lang['POPUPAUTHOR'] = "Autor fotky";
+
+$lang['G_MAP'] = "Nastavení mapy";
+$lang['BASELAYER'] = "Způsob zobrazení mapy";
+$lang['BASELAYER_DESC'] = "Mapnik je základní vzhled pro OpenStreetMap.";
+$lang['CUSTOMBASELAYER'] = "Vlastní zobrazení";
+$lang['CUSTOMBASELAYER_DESC'] = 'Jen pokud je vybráno vlastní zobrazení jako vzhled mapy. Kdo dodává mapu (tile)?';
+$lang['CUSTOMBASELAYERURL'] = "Tile server URL";
+$lang['CUSTOMBASELAYERURL_DESC'] = 'Jen pokud je vybráno vlastní zobrazení jako vzhled mapy. Např.: http://tile.openstreetmap.org/{z}/{x}/{y}.png';
+$lang['NOWORLDWARP'] = "Bez Worldwarp";
+$lang['NOWORLDWARP_DESC'] = "Běžně se mapa zobrazí vlevo nebo napravo. Toto nastavení určí zobrazení 'jedné mapy'.";
+$lang['ATTRLEAFLET'] = "Zobraz 'Funguje na Leaflet'";
+$lang['ATTRLEAFLET_DESC'] = 'Zobrazí informaci o použité knihovně JavaScriptu pro interaktivní \'Leaflet\' mapy.';
+$lang['ATTRIMAGERY'] = "Zobraz typ mapy";
+$lang['ATTRIMAGERY_DESC'] = "Zobrazit použitý styl mapy.";
+$lang['ATTRPLUGIN'] = "Zobrazit poznámku o autorovi";
+$lang['ATTRPLUGIN_DESC'] = "Já vytvořil tenhle plugin. :)";
+
+$lang['H_PIN'] = "Konfigurace bodů";
+$lang['PIN'] = "Výběr bodu";
+$lang['PIN_DESC'] = 'Zvolte poslední možnost pro použití vlastní grafiky.';
+$lang['OWNPIN'] = "Vlastní";
+$lang['NOPIN'] = "Bez bodu";
+$lang['DEFAULTPIN'] = "výchozí";
+$lang['PINPATH'] = "Vlastní bod";
+$lang['PINPATH_DESC'] = "Cesta k vašemu obrázku bodu (jen pokud je volba typu bodu Vlastní).";
+$lang['PINSIZE'] = "Rozměry bodu";
+$lang['PINSIZE_DESC'] = "Velikost obrázku bodu v px. Oddělovač je 'x'. např: '24x24'";
+$lang['PINSHADOWPATH'] = "Stín";
+$lang['PINSHADOWPATH_DESC'] = 'Cesta k vašemu obrázku se stínováním bodu.';
+$lang['PINSHADOWSIZE'] = "Rozměry stínu";
+$lang['PINSHADOWSIZE_DESC'] = "Velikost obrázku bodu v px. Oddělovač je 'x'. např: '24x24'";
+$lang['PINOFFSET'] = "Zaměření bodů";
+$lang['PINOFFSET_DESC'] = 'Pozice obrázku bodu na mapě, kde je bod na mapě umístěn. 0x0 znamená že je bod v horním levém rohu. Např: crosshairs = střed obrázku';
+$lang['PINPOPUPOFFSET'] = "Zaměření Popup okna";
+$lang['PINPOPUPOFFSET_DESC'] = 'Pozice obrázku popup okna, kde je popup k bodu umístěn. 0x0 znamená přímo na bodu pinu.';
+
+$lang['PLUGINCONF'] = "Nastavení pluginu";
+$lang['AUTOSYNC'] = 'Automaticky synchronizuj EXIF data pokud existují';
+$lang['AUTOSYNC_DESC'] = 'Když jsou metadata synchronizovány, coordináty mohou být přepsány. Deaktivujte pokud máte plugin \'RV Maps & Earth\' nainstalované.';
+$lang['BATCHMANAGER'] = "Zapnout Batch Manager integraci";
+$lang['BATCHMANAGER_DESC'] = 'Umožní ruční modifikaci zěm. šířky a délky. Deaktivujte pokud máte plugin \'RV Maps & Earth\' nainstalované.';
+
+$lang['POWERBY'] = 'Funguje na';
+$lang['IMAGERYBY'] = "Obrázky od";
+$lang['PLUGINBY'] = "Plugin od";
+?>