Index: /trunk/language/nl_NL/admin.lang.php
===================================================================
--- /trunk/language/nl_NL/admin.lang.php	(revision 25385)
+++ /trunk/language/nl_NL/admin.lang.php	(revision 25386)
@@ -101,5 +101,5 @@
 $lang['Manage tags'] = 'Beheer labels';
 $lang['Members'] = 'Leden';
-$lang['Metadata synchronized from file'] = 'Metadata gesynchroniseerd van een bestand';
+$lang['Metadata synchronized from file'] = 'Metadata gesynchroniseerd met bestand';
 $lang['Move albums'] = 'Verplaats albums';
 $lang['Move'] = 'Verplaatsen';
@@ -135,5 +135,5 @@
 $lang['Rate date'] = 'Waarderingsdatum';
 $lang['Rating by guests'] = 'Ook gasten kunnen waarderen';
-$lang['Rating'] = 'Waardering';
+$lang['Rating'] = 'Waarderen';
 $lang['Reject'] = 'Afwijzen';
 $lang['Representant'] = 'Album-klikplaatje';
@@ -171,5 +171,5 @@
 $lang['You cannot move an album in its own sub album'] = 'U kunt een album niet verplaatsen naar zijn eigen sub-album';
 $lang['You need to confirm deletion'] = 'U moet de verwijdering bevestigen';
-$lang['Associate to album'] = 'Link aan album';
+$lang['Associate to album'] = 'Link naar album';
 $lang['associate to group'] = 'Link aan groep';
 $lang['Authorized'] = 'Toegestaan';
@@ -189,5 +189,4 @@
 $lang['Default display'] = 'Standaardweergave';
 $lang['The gallery URL is not valid.'] = 'De URL van de galerie is niet correct.';
-$lang['Main'] = 'Index';
 $lang['The number of comments a page must be between 5 and 50 included.'] = 'Het aantal commentaren moet tussen 5 and 50 liggen.';
 $lang['Configuration'] = 'Configuratie';
@@ -223,5 +222,4 @@
 $lang['To send ?'] = 'aan sturen ?';
 $lang['Last send'] = 'Laatst sturen';
-$lang['Email'] = 'email';
 $lang['User'] = 'Gebruiker';
 $lang['See you soon,'] = 'Tot ziens op onze webpagina,';
@@ -251,5 +249,5 @@
 $lang['No mail to send.'] = 'Geen email om te versturen.';
 $lang['There is no available subscribers to mail.'] = 'Geen gebruikers om email te sturen.';
-$lang['Subscribers could be listed (available) only if there is new elements to notify.'] = 'Een gebruiker is beschikbaar, er zijn nieuwe foto\'s te melden.';
+$lang['Subscribers could be listed (available) only if there is new elements to notify.'] = 'Gebruikers worden alleen weergegeven indien er nieuwe foto\'s zijn te melden.';
 $lang['Anyway only webmasters can see this tab and never administrators.'] = 'Hoe dan ook, alleen webbeheerders kunnen dit tabblad zien, de administrators niet.';
 $lang['No user to send notifications by mail.'] = 'Geen gebruikers om meldingen te ontvangen per email.';
@@ -314,5 +312,5 @@
 $lang['Directory'] = 'Map';
 $lang['sub-albums'] = 'Sub-album';
-$lang['Synchronize metadata'] = 'synchroniseer metadata';
+$lang['Synchronize metadata'] = 'Synchroniseer metadata';
 $lang['target'] = 'Doel';
 $lang['Thumbnail'] = 'Klikplaatje';
@@ -365,7 +363,7 @@
 $lang['directories + files'] = 'mappen + bestanden';
 $lang['only directories'] = 'alleen mappen';
-$lang['synchronize files structure with database'] = 'Synchroniseer bestanden met de database';
-$lang['synchronize files metadata with database photos informations'] = 'Synchroniseer bestandsmetadata met de database foto-informatie';
-$lang['even already synchronized photos'] = 'ook reeds synchroniseerde foto\'s';
+$lang['synchronize files structure with database'] = 'Synchroniseer bestandenstructuur met de database';
+$lang['synchronize files metadata with database photos informations'] = 'Synchroniseer de databasefoto\'s met de bestandsmetadata';
+$lang['even already synchronized photos'] = 'ook reeds gesynchroniseerde foto\'s';
 $lang['Used metadata'] = 'Gebruikte metadata';
 $lang['The name of directories and files must be composed of letters, numbers, "-", "_" or "."'] = 'De naam van de mappen en bestanden moeten bestaan uit letters, "-", "_" of "."';
@@ -552,5 +550,5 @@
 $lang['Set as default theme for unregistered and new users'] = 'Standaard thema voor niet geregisteerde and nieuwe gebruikers';
 $lang['unknown'] = 'onbekend';
-$lang['Upload Photos'] = 'Upload Foto\'s';
+$lang['Upload Photos'] = 'Upload foto\'s';
 $lang['Drop into album'] = 'Selecteer een album';
 $lang['+ Add an upload box'] = 'Voeg een upload-regel toe';
@@ -561,5 +559,5 @@
 $lang['Album name'] = 'Albumnaam';
 $lang['Album "%s" has been added'] = 'Album "%s" is toegevoegd';
-$lang['Uploaded Photos'] = 'Ge-uploade Foto\'s';
+$lang['Uploaded Photos'] = 'Ge-uploade foto\'s';
 $lang['%d photos uploaded'] = '%d foto\'s ge-uploaded';
 $lang['Privacy level set to "%s"'] = 'Privacy-niveau staat nu op "%s"';
@@ -584,5 +582,5 @@
 $lang['Directory does not exist'] = 'Directorie bestaat niet';
 $lang['Download,'] = 'Download,';
-$lang['FTP + Synchronization'] = 'FTP + Synchronisatie';
+$lang['FTP + Synchronization'] = 'Via FTP + Synchronisatie';
 $lang['Get Support on Piwigo Forum'] = 'Zoek/Krijg ondersteuning op het Piwigo gebruikers-forum';
 $lang['Help Me'] = 'Help';
@@ -620,5 +618,5 @@
 $lang['Webmaster status is required.'] = 'De status van de webbeheerder is noodzakelijk.';
 $lang['Bound Theme'] = 'Gebonden Thema';
-$lang['Allow rating'] = 'Waarderings-optie inschakelen';
+$lang['Allow rating'] = 'Waardering toestaan';
 $lang['Select at least one comment'] = 'Minstens een commentaar selecteren';
 $lang['Active Plugins'] = 'Actieve Plugins';
@@ -699,5 +697,5 @@
 $lang['Delete orphan tags'] = 'Verwijder niet gebruikte labels';
 $lang['delete photo'] = 'verwijder foto';
-$lang['Orphan tags deleted'] = 'Verwijderde niet gebruikte labels';
+$lang['Orphan tags deleted'] = 'Niet gebruikte labels verwijderd';
 $lang['Remove from caddie'] = 'Verwijder uit verzamelmandje';
 $lang['Week starts on'] = 'De week begint op';
@@ -831,5 +829,5 @@
 $lang['<em>Piwigo for iOS</em> application empowers you to connect to your Piwigo gallery from your iPhone, iPad or iPod Touch, create some albums and upload several photos at once.'] = '<em>Piwigo voor IOS</em> applicatie stelt u in staat uw Piwigo galerie te openen vanaf uw iPhone, iPad of iPod Touch, een aantal albums aan te maken en meerdere foto\'s tegelijk te uploaden.';
 $lang['Adobe Photoshop Lightroom is a photography software designed to manage large quantities of digital images and doing post production work.'] = 'Adobe Photoshop Lightroom is fotografie-software ontworpen om grote hoeveelheden digitale foto\'s te verwerken en voor het verrichten van post-productie werk.';
-$lang['Applications'] = 'Toepassingen';
+$lang['Applications'] = 'Via toepassingen';
 $lang['apply automatic sort order'] = 'automatische sorteervolgorde toepassen';
 $lang['Automatic sort order'] = 'Automatische sorteervolgorde';
@@ -847,5 +845,5 @@
 $lang['The file or directory cannot be accessed (either it does not exist or the access is denied)'] = 'Het bestand of de map kan niet worden geopend (of het bestaat niet of de toegang wordt geweigerd)';
 $lang['The Piwigo publish Plug-in allows you to export and synchronize photos from Lightroom directly to your Piwigo photo gallery.'] = 'Met de Piwigo Publish plugin kunt u foto\'s direct vanuit Lightroom naar uw Piwigo fotogalerie exporteren en synchroniseren.';
-$lang['Web Form'] = 'webformulier';
+$lang['Web Form'] = 'Via webformulier';
 $lang['%u users have automatic permission because they belong to a granted group.'] = '%u gebruikers hebben automatisch recht, omdat ze tot een groep behoren die deze rechten is verleend';
 $lang['Aperture is a powerful tool to refine images and manage massive libraries on Mac.'] = 'Aperture is een krachtig gereedschap om foto\'s te te beheren en verbeteren op een Mac .';
@@ -887,5 +885,5 @@
 $lang['custom'] = 'Aangepast';
 $lang['digiKam is an advanced digital photo management free software for Linux, Windows, and MacOSX.'] = 'digiKam is een gratis geavanceerde digitale foto beheersoftware voor Linux, Windows en MacOSX.  ';
-$lang['digiKam is designed for photographers who want to view, manage, edit, enhance, organize, tag, and share photographs.'] = 'digiKam is voor fotografen die foto\'s willen bekijken, beheren, bewerken en delen. ';
+$lang['digiKam is designed for photographers who want to view, manage, edit, enhance, organize, tag, and share photographs.'] = 'digiKam is voor fotografen die foto\'s willen bekijken, beheren, bewerken, labelen en delen. ';
 $lang['iPhoto is the default photo manager on MacOSX. The Piwigo export plugin let you create new albums and export your photos directly from iPhoto to your Piwigo photo gallery.'] = 'iPhoto is de standaard foto-manager onder MacOSX. De Piwigo export plugin maakt het aanmaken van albums en het exporteren van foto\'s mogelijk, van iPhoto naar de Piwigo galerie';
 $lang['include photos with lower privacy level'] = 'Inclusief foto\'s met een lager rechten niveau ';
@@ -926,13 +924,10 @@
 $lang['Duplicate selected tags'] = 'Dupliceer de geselecteerde labels';
 $lang['Name of the duplicate'] = 'Naam van het duplicaat';
-$lang['Source tag'] = 'bron-label';
+$lang['Source tag'] = 'Bron-label';
 $lang['Tag "%s" is now a duplicate of "%s"'] = 'Label "%s" is nu een duplicaat van "%s"';
 $lang['Manage photos'] = 'Foto\'s beheren';
 $lang['View in gallery'] = 'Bekijk in galerie';
-$lang['Format'] = 'Formaat';
 $lang['Ratio'] = 'Verhouding';
 $lang['Landscape'] = 'Landschap';
-$lang['Maximum'] = 'Maximum';
-$lang['Minimum'] = 'Minimum';
 $lang['Minimum height'] = 'Minimum hoogte';
 $lang['Minimum width'] = 'Minimum breedte';
@@ -955,3 +950,7 @@
 $lang['The picture dimensions will be reduced to %dx%d pixels.'] = 'De afmetingen van de afbeelding zullen worden verlaagd naar %dx%d pixels.';
 $lang['Resize after upload disabled due to the use of GD as graphic library'] = 'Omdat GD als grafische bibliotheek (graphic library) wordt gebruikt, is het formatteren van afbeeldingen na het uploaden geblokkeerd';
+$lang['Basic settings'] = 'Basisinstellingen';
+$lang['General'] = 'Algemeen';
+$lang['Mail theme'] = 'Mail-thema';
+$lang['Select at least one tag'] = 'Op zijn minst één label kiezen';
 ?>