Index: /trunk/language/nl_NL/admin.lang.php
===================================================================
--- /trunk/language/nl_NL/admin.lang.php	(revision 25394)
+++ /trunk/language/nl_NL/admin.lang.php	(revision 25395)
@@ -68,5 +68,5 @@
 $lang['Delete selected tags'] = 'Verwijder de geselecteerde labels';
 $lang['Delete selected users'] = 'Verwijder geselecteerde gebruikers';
-$lang['Deletions'] = 'Verwijderen';
+$lang['Deletions'] = 'Verwijderingen';
 $lang['Deny selected groups'] = 'Verbiedt geselecteerde groepen';
 $lang['Deny selected users'] = 'Verbiedt geselecteerde gebruikers';
@@ -79,5 +79,5 @@
 $lang['Email admins when a new user registers'] = 'Stuur email naar administrators wanneer een nieuwe gebruiker zich heeft geregistreerd';
 $lang['Email admins when a valid comment is entered'] = 'Stuur email naar administrators wannneer een geldig commentaar is ingevuld';
-$lang['Email admins when a comment requires validation'] = 'Stuur email naar administrators wanneer een commantaar gevavalideerd dient te worden';
+$lang['Email admins when a comment requires validation'] = 'Stuur email naar administrators wanneer een commentaar gevalideerd dient te worden';
 $lang['Environment'] = 'Omgeving';
 $lang['Form'] = 'Formulier';
@@ -217,5 +217,5 @@
 $lang['manage sub-albums'] = 'Beheer sub-albums';
 $lang['Manage'] = 'Beheer';
-$lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = 'Executie tijd is om, afhandeling moet verder gaan [Verwachte tijd: %d seconden].';
+$lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = 'Uitvoerings-tijd is om, de afhandeling moet verder gaan [Geschatte tijd: %d seconden].';
 $lang['Prepared time for list of users to send mail is limited. Others users are not listed.'] = 'Verwachte tijd voor de gebruikerslijst voor een mailing is gelimiteerd. Andere gebruikers staan niet op de lijst.';
 $lang['Time to send mail is limited. Others mails are skipped.'] = 'Tijd om email te sturen is gelimiteerd. Andere emailtjes worden overgeslagen.';
@@ -293,5 +293,5 @@
 $lang['registration date'] = 'Registratiedatum';
 $lang['clean'] = 'opschonen';
-$lang['Create this site'] = 'maak deze site';
+$lang['Create this site'] = 'Maak deze site';
 $lang['test'] = 'test';
 $lang['test this remote site'] = 'test deze remote site';
@@ -321,5 +321,5 @@
 $lang['Group management'] = 'Groepsbeheer';
 $lang['User list'] = 'Gebruikerslijst';
-$lang['Edit photo information'] = 'Verander de informatie van een plaatje';
+$lang['Edit photo information'] = 'Verander de informatie van een foto';
 $lang['Database synchronization with files'] = 'Database synchronisatie met bestanden';
 $lang['all'] = 'Allen';
@@ -340,9 +340,9 @@
 $lang['Update photos information'] = 'Foto-informatie bijwerken';
 $lang['Synchronize'] = 'Synchroniseer';
-$lang['reduce to single existing albums'] = 'naar een enkel bestaand album terugbrengen';
+$lang['reduce to single existing albums'] = 'In één enkel album zoeken:';
 $lang['Choose an option'] = 'Kies een optie';
 $lang['display maximum informations (added albums and photos, deleted albums and photos)'] = 'toon maximale informatie (toegevoegde albums en foto\'s, verwijderde albums en foto\'s)';
 $lang['Error list'] = 'Foutenlijst';
-$lang['Errors caption'] = 'Foutmeldingen afvangen';
+$lang['Errors caption'] = 'Foutmeldingen';
 $lang['Detailed informations'] = 'Gedetailleerde informatie';
 $lang['File/directory read error'] = 'Bestand/map lees fout';
@@ -389,5 +389,5 @@
 $lang['Time'] = 'tijd';
 $lang['IP'] = 'IP';
-$lang['Element'] = '';
+$lang['Element'] = 'Element';
 $lang['Section'] = 'sectie';
 $lang['An information email was sent to group "%s"'] = 'Een informatie email is verstuurd naar de groep "%s"';
@@ -436,5 +436,5 @@
 $lang['Main "guest" user does not exist'] = 'Hoofd "gast" gebruiker bestaat niet meer';
 $lang['Main "guest" user status is incorrect'] = 'Hoofd "gast" gebruikersstatus is niet correct';
-$lang['Default user does not exist'] = 'Standaard gebruiker bestaat niet meer';
+$lang['Default user does not exist'] = 'Standaard gebruiker bestaat niet';
 $lang['Main "webmaster" user does not exist'] = 'De Hoofd "webbeheerder" bestaat niet';
 $lang['Main "webmaster" user status is incorrect'] = 'De status van de Hoofd "webbeheerder" is niet correct';
@@ -454,7 +454,7 @@
 $lang['Level 8'] = 'Admins';
 $lang['Reinitialize check integrity'] = 'Herinitialiseer de integriteitscontrole';
-$lang['Check all'] = 'Selecteer alles';
+$lang['Check all'] = 'Controleer alles';
 $lang['Uncheck all'] = 'Deselecteer alles';
-$lang['Check automatic corrections'] = 'Controleer de aoutomatische correcties';
+$lang['Check automatic corrections'] = 'Controleer de automatische correcties';
 $lang['Apply selected corrections'] = 'Pas geselecteerde correcties toe';
 $lang['Ignore selected anomalies'] = 'Negeer geselecteerde onregelmatigheden';
@@ -476,5 +476,5 @@
 $lang['Can\'t download archive.'] = 'Kan geen archief downloaden.';
 $lang['Can\'t read or extract archive.'] = 'Kan het archief niet lezen of uitpakken.';
-$lang['An error occured during extraction (%s).'] = 'Een fout is opgetreden tijdens het uitpakken (%s).';
+$lang['An error occured during extraction (%s).'] = 'Een fout is opgetreden tijdens het uitpakken van de bestanden (%s).';
 $lang['Please check "plugins" folder and sub-folders permissions (CHMOD).'] = 'Controleer de "plugins" folder en de sub-folders rechten/attributen (CHMOD).';
 $lang['Can\'t connect to server.'] = 'Verbinding met server niet mogelijk.';
@@ -546,5 +546,5 @@
 $lang['Instructions to use Piwigo'] = 'Piwigo Gebruiks-instructies';
 $lang['Installed Themes'] = 'Geïnstalleerde thema\'s';
-$lang['Add New Theme'] = 'Nog niet geïnstaleerde thema\'s';
+$lang['Add New Theme'] = 'Nog niet geïnstalleerde thema\'s';
 $lang['Forbid this theme to users'] = 'Dit thema mag niet door gebruikers gebruikt worden';
 $lang['Set as default theme for unregistered and new users'] = 'Standaard thema voor niet geregisteerde and nieuwe gebruikers';
@@ -580,5 +580,5 @@
 $lang['Change Admin Colors'] = 'Wijzig de Admin-kleuren';
 $lang['Delete this theme'] = 'Verwijder dit thema';
-$lang['Directory does not exist'] = 'Directorie bestaat niet';
+$lang['Directory does not exist'] = 'Map bestaat niet';
 $lang['Download,'] = 'Download,';
 $lang['FTP + Synchronization'] = 'Via FTP + Synchronisatie';
@@ -642,5 +642,5 @@
 $lang['There is no other theme available.'] = 'Er is geen andere thema beschikbaar.';
 $lang['Add another set of photos'] = 'Een andere set foto\'s toevoegen';
-$lang['By rank'] = 'Op rank';
+$lang['By rank'] = 'Op rang';
 $lang['Manual order'] = 'Handmatige volgorde';
 $lang['Order of menubar items has been updated successfully.'] = 'De volgorde van menu-items is succesvol aangepast.';
@@ -766,5 +766,5 @@
 $lang['Learn more'] = 'Leer meer';
 $lang['An error has occured during upgrade.'] = 'Er is iets foutgegaan bij het bijwerken van Piwigo naar de nieuwste versie.';
-$lang['An error has occured during extract. Please check files permissions of your piwigo installation.<br><a href="%s">Click here to show log error</a>.'] = 'Er is iets foutgegaan bij het uitpakken. Controleer de bestands-rechten/attributen van uw Piwigo installatie.<br><a href="%s">Klik kier om de fout-logging weer te geven</a>.';
+$lang['An error has occured during extract. Please check files permissions of your piwigo installation.<br><a href="%s">Click here to show log error</a>.'] = 'Er is iets foutgegaan bij het uitpakken. Controleer de bestands-rechten/attributen van uw Piwigo installatie.<br><a href="%s">Klik hier om de fout-logging weer te geven</a>.';
 $lang['Piwigo cannot retrieve upgrade file from server'] = 'Piwigo kan het upgrade-bestand niet van de server verkrijgen';
 $lang['... or '] = '... of ';
@@ -789,5 +789,5 @@
 $lang['Select at least two tags for merging'] = 'Selecteer ten minste twee labels om samen te voegen';
 $lang['Select an album'] = 'Kies een album';
-$lang['By default, Piwigo will create a new websize from the HD (high definition) version of your photo.'] = 'Standaard zal Piwigo een nieuwe web formaat foto aanmaken van de HD (high definition / originele) versie van je foto.';
+$lang['By default, Piwigo will create a new websize from the HD (high definition) version of your photo.'] = 'Standaard zal Piwigo een nieuwe web formaat foto aanmaken van de HD (high definition / originele) versie van uw foto.';
 $lang['If no HD is available and if the current websize is bigger than resize dimensions, Piwigo will move it as HD and create a downsized websize photo from it.'] = 'Als geen HD beschikbaar is en de huidige web formaat foto is groter dan de nieuwe afmetingen, dan zal Piwigo het als HD gebruiken en daar een web formaat foto van maken.';
 $lang['Zoom'] = 'Zoom';
@@ -802,5 +802,5 @@
 $lang['Photo name'] = 'Foto-naam';
 $lang['Activate comments'] = 'Activeer onderschriften';
-$lang['Default comments order'] = 'Standaard onderschriften volgorde';
+$lang['Default comments order'] = 'Standaard commentaar volgorde';
 $lang['Send connection settings by email'] = 'Verstuur verbindings-instellingen per email';
 $lang['The original image quality must be a number between %d and %d'] = 'De originele foto-kwaliteit moet een nummer zijn tussen %d en %d';
@@ -847,5 +847,5 @@
 $lang['Web Form'] = 'Via webformulier';
 $lang['%u users have automatic permission because they belong to a granted group.'] = '%u gebruikers hebben automatisch recht, omdat ze tot een groep behoren die deze rechten is verleend';
-$lang['Aperture is a powerful tool to refine images and manage massive libraries on Mac.'] = 'Aperture is een krachtig gereedschap om foto\'s te te beheren en verbeteren op een Mac .';
+$lang['Aperture is a powerful tool to refine images and manage massive libraries on Mac.'] = 'Aperture is een krachtig gereedschap om grote hoeveelheden foto\'s te beheren en te verbeteren op een Mac .';
 $lang['Aperture is designed for professional photographers with iPhoto simplicity.'] = 'Aperture is gemaakt voor proferssionele fotografen met iPhoto gemak.';
 $lang['Apply watermark if height is bigger than'] = 'Breng watermerk aan, als de hoogte groter is dan';
@@ -919,5 +919,5 @@
 $lang['%d week'] = '%d week';
 $lang['%d weeks'] = '%d weken';
-$lang['Edit photo'] = 'foto aanpassen';
+$lang['Edit photo'] = 'Foto aanpassen';
 $lang['create a new site'] = 'Maak een nieuwe site';
 $lang['No order field selected'] = 'Geen volgordeveld geselecteerd';