Index: /extensions/meta/language/nl_NL/plugin.lang.php
===================================================================
--- /extensions/meta/language/nl_NL/plugin.lang.php	(revision 25416)
+++ /extensions/meta/language/nl_NL/plugin.lang.php	(revision 25417)
@@ -22,43 +22,43 @@
 // +-----------------------------------------------------------------------+
 $lang['Metadata - Plugin meta'] = 'Metadata - Plugin meta';
-$lang['meta_Description_help'] = 'Beschrijving van je site<br> Maakt het mogelijk om informatie te geven gedurende het resultaat van een zoekopdracht';
-$lang['meta_Description'] = 'Omschrijving meta Omschrijving';
+$lang['meta_Description_help'] = 'Beschrijving van je website<br> Maakt het mogelijk om informatie te geven bij het resultaat van een zoekopdracht.';
+$lang['meta_Description'] = 'Beschrijving van de meta-beschrijving';
 $lang['meta_author_help'] = 'Informatie over de auteur <br> Informatie over de auteur van de site';
-$lang['meta_author'] = 'Omschrijving meta auteur';
+$lang['meta_author'] = 'Beschrijving van de meta-auteur';
 $lang['meta_choix'] = 'Bewerk metadata';
-$lang['meta_compcatdeshelp'] = 'Zal alle omschrijvingen vervangen';
-$lang['meta_compcatdes'] = 'Album omschijving om te vervangen';
-$lang['meta_compcat'] = 'Sleutelwoorden van het album om aan te vullen';
-$lang['meta_compimgdes'] = 'Foto omschrijving om te vervangen';
-$lang['meta_compimg'] = 'Sleutelwoorden of foto om te completeren';
-$lang['meta_comp'] = 'Metadata om toe te voegen';
-$lang['meta_description'] = 'omschrijving';
-$lang['meta_desh3'] = 'Voeg meta aan alle pagina\'s toe';
-$lang['meta_diff_val'] = 'mogeljke waarde';
+$lang['meta_compcatdeshelp'] = 'Zal alle beschrijvingen vervangen';
+$lang['meta_compcatdes'] = 'Beschrijving van het te vervangen album';
+$lang['meta_compcat'] = 'Sleutelwoorden van het nog in te vullen album';
+$lang['meta_compimgdes'] = 'Beschrijving van de te vervangen foto';
+$lang['meta_compimg'] = 'Sleutelwoorden van de nog af te handelen foto';
+$lang['meta_comp'] = 'Nog toe te voegen metadata';
+$lang['meta_description'] = 'beschrijving';
+$lang['meta_desh3'] = 'Voeg metadat aan alle pagina\'s toe';
+$lang['meta_diff_val'] = 'Mogeljke waarde';
 $lang['meta_inscat'] = 'Voeg metadata in';
 $lang['meta_insmeta'] = 'voeg de metadata in';
-$lang['meta_keywords_help'] = '"Sleutelwoord, sleutelwoord, enz."<br> Sleutelwoorden die de webpagina omschijven. (Gescheiden door een komma)';
-$lang['meta_keywords'] = 'Omschrijving meta sleutelwoorden';
+$lang['meta_keywords_help'] = '"Sleutelwoord, sleutelwoord, enz."<br> Sleutelwoorden die de webpagina omschrijven. (Gescheiden door een komma)';
+$lang['meta_keywords'] = 'Beschrijving van de meta sleutelwoorden';
 $lang['meta_list'] = 'Metadata:';
 $lang['meta_name'] = 'Naam van metadata';
-$lang['meta_onglet_description'] = 'Omschrijving van metadata';
+$lang['meta_onglet_description'] = 'Beschrijving van de metadata';
 $lang['meta_onglet_gestion'] = 'Metadata';
-$lang['meta_robots_help'] = 'all : Staat de robot toe alles te indexeren (Standaard)<br> follow : Staat de robot toe om links te volgen op de pagina<br> index : Staat toe om geindexereerd te worden<br> nofollow : Verhinderd het volgen van links door een robot<br> noindex : Verhinderd het indexeren van de pagina door een robot<br> none : Verhinderd het indexeren van de site door een robot<br>';
-$lang['meta_robots'] = 'Omschrijving meta robots';
+$lang['meta_robots_help'] = 'all : Staat de robot toe alles te indexeren (Standaard)<br> follow : Staat de robot toe om links op de pagina te volgen<br> index : Staat de robot toe om de pagina te indexeren<br> nofollow : Verhinderd het volgen van links op de pagina door een robot<br> noindex : Verhinderd het indexeren van de pagina door een robot<br> none : Verhinderd het indexeren van de site door een robot<br>';
+$lang['meta_robots'] = 'Beschrijving meta robots';
 $lang['meta_select2'] = 'Kies metadata';
-$lang['meta_select'] = 'Selecteer de te bewerkenmetadata';
+$lang['meta_select'] = 'Selecteer de te bewerken metadata';
 $lang['Add Personal metadata'] = 'Voeg persoonlijke metadata toe';
 $lang['List Personal Metadata'] = 'Geef persoonlijke metadata weer';
-$lang['Manage tag Metadata'] = 'Beheer label metadata';
+$lang['Manage tag Metadata'] = 'Beheer metadata-label';
 $lang['Personal Metadata'] = 'Persoonlijke metadata';
 $lang['Personal metadata update'] = 'Persoonlijke metadata bijwerken';
-$lang['Description of Additional Pages to be completed'] = 'Beschrijving van extra pagina te complementeren';
-$lang['Description of contact page to be completed'] = 'Beschrijving van de contact pagina nog te complementeren';
-$lang['Keywords of Additional Pages to be completed'] = 'Sleutelwoorden van de extra pagina te complementeren';
-$lang['Keywords of contact page to be completed'] = 'Sleutelwoorden van de contact pagina nog te complementeren';
+$lang['Description of Additional Pages to be completed'] = 'Beschrijving van de nog in te vullen extra pagina';
+$lang['Description of contact page to be completed'] = 'Beschrijving van de nog in te vullen contactpagina';
+$lang['Keywords of Additional Pages to be completed'] = 'Sleutelwoorden van de nog in te vullen extra pagina';
+$lang['Keywords of contact page to be completed'] = 'Sleutelwoorden van de nog in te vullen contactpagina';
 $lang['Add metadata for page'] = 'Voeg metadata toe voor pagina';
-$lang['Additional Pages Metadata'] = 'Extra pagina\'s metadata';
-$lang['Choose Additional Pages'] = 'Kies extra pagina\'s';
+$lang['Additional Pages Metadata'] = 'Metadata van de extra pagina\'s';
+$lang['Choose Additional Pages'] = 'Kies de extra pagina';
 $lang['Metadata updated'] = 'Metadata is vernieuwd';
-$lang['Contact page Metadata'] = 'Contact pagina metadata';
+$lang['Contact page Metadata'] = 'Metadata van de contactpagina';
 ?>