Index: /trunk/admin/cat_list.php
===================================================================
--- /trunk/admin/cat_list.php	(revision 25424)
+++ /trunk/admin/cat_list.php	(revision 25425)
@@ -204,6 +204,5 @@
   $navigation.= get_cat_display_name_from_id(
     $_GET['parent_id'],
-    $base_url.'&amp;parent_id=',
-    false
+    $base_url.'&amp;parent_id='
     );
 }
Index: /trunk/admin/picture_modify.php
===================================================================
--- /trunk/admin/picture_modify.php	(revision 25424)
+++ /trunk/admin/picture_modify.php	(revision 25425)
@@ -393,6 +393,5 @@
     get_cat_display_name_cache(
       $row['uppercats'],
-      get_root_url().'admin.php?page=album-',
-      false
+      get_root_url().'admin.php?page=album-'
       );
 
Index: /trunk/admin/user_perm.php
===================================================================
--- /trunk/admin/user_perm.php	(revision 25424)
+++ /trunk/admin/user_perm.php	(revision 25425)
@@ -129,5 +129,5 @@
     $template->append(
       'categories_because_of_groups',
-      get_cat_display_name_cache($category['uppercats'], null, false)
+      get_cat_display_name_cache($category['uppercats'], null)
       );
   }
Index: /trunk/include/category_cats.inc.php
===================================================================
--- /trunk/include/category_cats.inc.php	(revision 25424)
+++ /trunk/include/category_cats.inc.php	(revision 25425)
@@ -297,5 +297,5 @@
     if ($page['section']=='recent_cats')
     {
-      $name = get_cat_display_name_cache($category['uppercats'], null, false);
+      $name = get_cat_display_name_cache($category['uppercats'], null);
     }
     else
Index: /trunk/include/functions.inc.php
===================================================================
--- /trunk/include/functions.inc.php	(revision 25424)
+++ /trunk/include/functions.inc.php	(revision 25425)
@@ -63,51 +63,4 @@
 {
   return number_format( $end - $start, 3, '.', ' ').' s';
-}
-
-// - The replace_space function replaces space and '-' characters
-//   by their HTML equivalent  &nbsb; and &minus;
-// - The function does not replace characters in HTML tags
-// - This function was created because IE5 does not respect the
-//   CSS "white-space: nowrap;" property unless space and minus
-//   characters are replaced like this function does.
-// - Example :
-//                 <div class="foo">My friend</div>
-//               ( 01234567891111111111222222222233 )
-//               (           0123456789012345678901 )
-// becomes :
-//             <div class="foo">My&nbsp;friend</div>
-function replace_space( $string )
-{
-  //return $string;
-  $return_string = '';
-  // $remaining is the rest of the string where to replace spaces characters
-  $remaining = $string;
-  // $start represents the position of the next '<' character
-  // $end   represents the position of the next '>' character
-  ; // -> 0
-  $end   = strpos ( $remaining, '>' ); // -> 16
-  // as long as a '<' and his friend '>' are found, we loop
-  while ( ($start=strpos( $remaining, '<' )) !==false
-        and ($end=strpos( $remaining, '>' )) !== false )
-  {
-    // $treatment is the part of the string to treat
-    // In the first loop of our example, this variable is empty, but in the
-    // second loop, it equals 'My friend'
-    $treatment = substr ( $remaining, 0, $start );
-    // Replacement of ' ' by his equivalent '&nbsp;'
-    $treatment = str_replace( ' ', '&nbsp;', $treatment );
-    $treatment = str_replace( '-', '&minus;', $treatment );
-    // composing the string to return by adding the treated string and the
-    // following HTML tag -> 'My&nbsp;friend</div>'
-    $return_string.= $treatment.substr( $remaining, $start, $end-$start+1 );
-    // the remaining string is deplaced to the part after the '>' of this
-    // loop
-    $remaining = substr ( $remaining, $end + 1, strlen( $remaining ) );
-  }
-  $treatment = str_replace( ' ', '&nbsp;', $remaining );
-  $treatment = str_replace( '-', '&minus;', $treatment );
-  $return_string.= $treatment;
-
-  return $return_string;
 }
 
Index: /trunk/include/functions_category.inc.php
===================================================================
--- /trunk/include/functions_category.inc.php	(revision 25424)
+++ /trunk/include/functions_category.inc.php	(revision 25425)
@@ -251,6 +251,5 @@
         get_cat_display_name_cache(
           $category['uppercats'],
-          null,
-          false
+          null
           )
         );
Index: /trunk/include/functions_html.inc.php
===================================================================
--- /trunk/include/functions_html.inc.php	(revision 25424)
+++ /trunk/include/functions_html.inc.php	(revision 25425)
@@ -32,10 +32,7 @@
  * @param array cat_informations
  * @param string url
- * @param boolean replace_space
  * @return string
  */
-function get_cat_display_name($cat_informations,
-                              $url = '',
-                              $replace_space = false)
+function get_cat_display_name($cat_informations, $url = '')
 {
   global $conf;
@@ -87,12 +84,5 @@
     }
   }
-  if ($replace_space)
-  {
-    return replace_space($output);
-  }
-  else
-  {
-    return $output;
-  }
+  return $output;
 }
 
@@ -107,10 +97,8 @@
  * @param string uppercats
  * @param string url
- * @param boolean replace_space
  * @return string
  */
 function get_cat_display_name_cache($uppercats,
                                     $url = '',
-                                    $replace_space = false,
                                     $single_link = false,
                                     $link_class = null)
@@ -185,12 +173,5 @@
   }
 
-  if ($replace_space)
-  {
-    return replace_space($output);
-  }
-  else
-  {
-    return $output;
-  }
+  return $output;
 }
 
@@ -231,10 +212,8 @@
 }
 
-function get_cat_display_name_from_id($cat_id,
-                                      $url = '',
-                                      $replace_space = false)
+function get_cat_display_name_from_id($cat_id, $url = '')
 {
   $cat_info = get_cat_info($cat_id);
-  return get_cat_display_name($cat_info['upper_names'], $url, $replace_space);
+  return get_cat_display_name($cat_info['upper_names'], $url);
 }
 
Index: /trunk/include/ws_functions/pwg.categories.php
===================================================================
--- /trunk/include/ws_functions/pwg.categories.php	(revision 25424)
+++ /trunk/include/ws_functions/pwg.categories.php	(revision 25425)
@@ -260,5 +260,5 @@
     if ($params['fullname'])
     {
-      $row['name'] = strip_tags(get_cat_display_name_cache($row['uppercats'], null, false));
+      $row['name'] = strip_tags(get_cat_display_name_cache($row['uppercats'], null));
     }
     else
Index: /trunk/index.php
===================================================================
--- /trunk/index.php	(revision 25424)
+++ /trunk/index.php	(revision 25425)
@@ -231,5 +231,5 @@
       foreach ( $cats as $cat )
       {
-        $hints[] = get_cat_display_name( array($cat), '', false );
+        $hints[] = get_cat_display_name( array($cat), '' );
       }
       $template->assign( 'category_search_results', $hints);
Index: /trunk/search_rules.php
===================================================================
--- /trunk/search_rules.php	(revision 25424)
+++ /trunk/search_rules.php	(revision 25425)
@@ -150,6 +150,5 @@
       get_cat_display_name_cache(
           $category['uppercats'],
-          null,                      // no url on category names
-          false                    // no blank replacement
+          null                      // no url on category names
           )
       );